/**
 * Copyright © 2012-2022 by Data Virtuality GmbH
 */
package org.teiid.auth.openid.model;

import com.google.gson.annotations.SerializedName;

/**
 * @author Archil Gabeskiria
 * @date 2022.08.02
 */
public class OpenIdConfigurationResponse {

    @SerializedName("token_endpoint")
    private String tokenEndpoint;

    @SerializedName("introspection_endpoint")
    private String introspectionEndpoint;

    @SerializedName("userinfo_endpoint")
    private String userInfoEndpoint;

    @SerializedName("jwks_uri")
    private String jwksEndpoint;

    @SerializedName("issuer")
    private String issuer;

    public String getTokenEndpoint() {
        return tokenEndpoint;
    }

    public void setTokenEndpoint(String tokenEndpoint) {
        this.tokenEndpoint = tokenEndpoint;
    }

    public String getIntrospectionEndpoint() {
        return introspectionEndpoint;
    }

    public void setIntrospectionEndpoint(String introspectionEndpoint) {
        this.introspectionEndpoint = introspectionEndpoint;
    }

    public String getUserInfoEndpoint() {
        return userInfoEndpoint;
    }

    public void setUserInfoEndpoint(String userInfoEndpoint) {
        this.userInfoEndpoint = userInfoEndpoint;
    }

    public String getJwksEndpoint() {
        return jwksEndpoint;
    }

    public void setJwksEndpoint(String jwksEndpoint) {
        this.jwksEndpoint = jwksEndpoint;
    }

    public String getIssuer() {
        return issuer;
    }

    public void setIssuer(String issuer) {
        this.issuer = issuer;
    }
}